var AsyncCompletedEventArgs = /** @class */ (function () {
    function AsyncCompletedEventArgs() {
    }
    Object.defineProperty(AsyncCompletedEventArgs.prototype, "i", {
        /**
         * @hidden
         */
        get: function () {
            return this._implementation;
        },
        enumerable: true,
        configurable: true
    });
    AsyncCompletedEventArgs.prototype._provideImplementation = function (i) {
        this._implementation = i;
        this._implementation.externalObject = this;
        this.onImplementationCreated();
    };
    AsyncCompletedEventArgs.prototype.onImplementationCreated = function () {
    };
    Object.defineProperty(AsyncCompletedEventArgs.prototype, "errorMessage", {
        get: function () {
            if (this.i.error != null) {
                return this.i.error.message;
            }
            return null;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AsyncCompletedEventArgs.prototype, "cancelled", {
        get: function () {
            return this.i.cancelled;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AsyncCompletedEventArgs.prototype, "userState", {
        get: function () {
            return this.i.userState;
        },
        enumerable: true,
        configurable: true
    });
    return AsyncCompletedEventArgs;
}());
export { AsyncCompletedEventArgs };
